Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class F2wCycleBasedLFSR

    java.lang.Object
      umontreal.iro.lecuyer.hups.PointSet
          umontreal.iro.lecuyer.hups.CycleBasedPointSet
              umontreal.iro.lecuyer.hups.CycleBasedPointSetBase2
                  umontreal.iro.lecuyer.hups.F2wCycleBasedLFSR

    public class F2wCycleBasedLFSR

extends CycleBasedPointSetBase2

This class creates a point set based upon a linear feedback shift register sequence. The recurrence used to produce the point set is

mn = ∑i=1rbimn-i

where mn∈F2w, n >= 0 and bi∈F2w. There is a polynomial in F2w[z] associated with this recurrence called the characteristic polynomial. It is

P(z) = zr + ∑i=1rbizr-i.

In the implementation, this polynomial is stored in an object `F2wStructure`.

Let x = (x(0),…, x(p-1))∈F2p be a p-bit vector. Let us define the function φ(x) = ∑i=1p2-ix(i-1). The point set in t dimensions produced by this class is

{(φ(y0), φ(ys),…, φ(ys(t-1)) : (v0,…,vr-1)∈F2rw}

where yn = trunch(vn,vn+1,…), vn is the representation of mn under the polynomial basis of F2w over F2, and h = w floor(31/w). The parameter s is called the stepping parameter of the recurrence.

Nested Class Summary

Nested classes/interfaces inherited from class umontreal.iro.lecuyer.hups.CycleBasedPointSetBase2
`CycleBasedPointSetBase2.CycleBasedPointSetBase2Iterator`

Nested classes/interfaces inherited from class umontreal.iro.lecuyer.hups.CycleBasedPointSet
`CycleBasedPointSet.CycleBasedPointSetIterator`

Constructor Summary
`F2wCycleBasedLFSR(int w, int r, int modQ, int step, int nbcoeff, int[] coeff, int[] nocoeff)` Constructs a point set with 2rw points.
`F2wCycleBasedLFSR(String filename, int no)` Constructs a point set after reading its parameters from file `filename`; the parameters are located at line numbered `no` of `filename`.

Method Summary
`String` | `toString()` Formats a string that contains the information about the point set.

Methods inherited from class umontreal.iro.lecuyer.hups.CycleBasedPointSetBase2
`addRandomShift, clearRandomShift, formatPoints, getCoordinate, iterator`

Methods inherited from class umontreal.iro.lecuyer.hups.CycleBasedPointSet
`getDimension`

Methods inherited from class umontreal.iro.lecuyer.hups.PointSet
`addRandomShift, addRandomShift, addRandomShift, formatPoints, getNumPoints, getStream, randomize, randomize, randomize, randomize, randomize, setStream, unrandomize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### F2wCycleBasedLFSR

    public F2wCycleBasedLFSR(int w,
                             int r,
                             int modQ,
                             int step,
                             int nbcoeff,
                             int[] coeff,
                             int[] nocoeff)

  Constructs a point set with 2rw points. See the description of the class `F2wStructure` for the meaning of the parameters.

### F2wCycleBasedLFSR

    public F2wCycleBasedLFSR(String filename,
                             int no)

  Constructs a point set after reading its parameters from file `filename`; the parameters are located at line numbered `no` of `filename`. The available files are listed in the description of class `F2wStructure`.

Method Detail

### toString

    public String toString()

  Description copied from class: `PointSet`
  Formats a string that contains the information about the point set.

  Overrides:
    `toString` in class `CycleBasedPointSet`
  Returns:
    string representation of the point set information

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.